slepc-3.10.1 2018-10-23
Report Typos and Errors

# EPSSetOperators

Sets the matrices associated with the eigenvalue problem.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSSetOperators(EPS eps,Mat A,Mat B)

Collective on EPS and Mat

### Input Parameters

| eps | - the eigenproblem solver context
| A | - the matrix associated with the eigensystem
| B | - the second matrix in the case of generalized eigenproblems

### Notes

To specify a standard eigenproblem, use NULL for parameter B.

It must be called before EPSSetUp(). If it is called again after EPSSetUp() then the EPS object is reset.

### See Also

EPSSolve(), EPSSetUp(), EPSReset(), EPSGetST(), STGetMatrix()

Location: src/eps/interface/epssetup.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/eps/examples/tutorials/ex1.c.html
src/eps/examples/tutorials/ex2.c.html
src/eps/examples/tutorials/ex3.c.html
src/eps/examples/tutorials/ex4.c.html
src/eps/examples/tutorials/ex5.c.html
src/eps/examples/tutorials/ex7.c.html
src/eps/examples/tutorials/ex9.c.html
src/eps/examples/tutorials/ex10.c.html
src/eps/examples/tutorials/ex11.c.html
src/eps/examples/tutorials/ex12.c.html
src/eps/examples/tutorials/ex13.c.html